/************************************************************************/
/*				        	                        */
/*	  PmodSWT Demo Project 		                                */
/*					    	                        */
/************************************************************************/
/*	Author: Eric Marsh					        */
/*	Copyright 2016, Digilent Inc.					*/
/************************************************************************/
/*  File Description: 			             		        */
/*					                        	*/
/* This file implements a simple demo application that demonstrates     */
/* how to setup and use the PmodSWT.				        */
/*									*/
/*	Functionality:							*/
/*									*/
/* In the setup() function, the PmodSWT is initialized through          */
/* calling the SWT library.                                             */
/*                                                                      */
/*                                                                      */
/* In the loop() function, the application repeatedly tells the         */
/* microcontroller to read the status of the switches on PmodSWT.	*/
/*					       	                        */
/*	Required Hardware:		                                */
/*	  1. PIC32 based Microcontroller    	                        */
/*	  2. PmodSWT                                             	*/
/*			                                                */
/************************************************************************/
/*  Revision History:			        			*/
/*					                        	*/
/*	07/27/2016(EricM): Created	       			        */
/*                                                                      */
/*					      	                        */
/************************************************************************/

/* -------------------------------------------------------------------- */
/*		        Include File Definitions                     	*/
/* -------------------------------------------------------------------- */

#include <SWT.h>
#include <WProgram.h>

/* -------------------------------------------------------------------- */
/*		            Global Variables                     	*/
/* -------------------------------------------------------------------- */
SWT mySWT;

void setup()
{
  // Initialize serial monitor.
  Serial.begin(9600);
  
  // Initialize PmodSWT. These are the pins for port JE on the ChipKit MX3ck
  mySWT.begin(32, 33, 34, 35); 
}

void loop()
{
  Serial.print("Switch ");
  for(int i = 0; i < 4; i++){
    // check if switch i is on or not.
    if(mySWT.GetStatus(i) == true){
      // print that switch i is on.
      Serial.print(i + 1); 
      Serial.print(" ");
    }
  }
  Serial.println(" is on.");
}